@charset "utf-8";
@import url(board-list.css);
@import url(board-view.css);
@import url(board-write.css);

/* ======================================== */
/* PCO 게시판 */
/* ======================================== */

/* common */
.co-board .bn-write-common form fieldset{padding:0;min-width:0;} /* style.css 파일 내 fieldset에 추가한 패딩 여백으로 인해 모바일 폼 페이지 너비가 화면이 넘치는 현상 수정 */
.b-h4-tit01{padding:0 0 8px;border-bottom:1px solid var(--black100);font-size:2.8rem;font-weight;var(--font-weight-bold);color:var(--black03);line-height:3.4rem;}
.b-h4-tit02{padding:0 0 4px;font-weight:var(--font-weight-bold);font-size:2rem;line-height:2.4rem;color:var(--color17);}
.b-h4-tit03{padding:0 0 4px;font-weight:var(--font-weight-extrabold);font-size:5rem;line-height:5.4rem;color:var(--color17);}
button{background:transparent;font-family:inherit;-webkit-appearance:none;-moz-appearance:none;appearance:none;}
select{font-family:inherit;-webkit-appearance:none;-moz-appearance:none;appearance:none;border-radius:0;}
select::-ms-expand{display:none;}
pre{font-family:inherit;}
button{border:none;}
.b-hide{width:0;height:0;font-size:0;}
.fr-view table td, 
.fr-view table th{border:none;}
.b-c-red{font-size:1.6rem;font-weight:var(--font-weight-semibold);color:var(--color02);line-height:2.4rem;}

.b-input{padding:8px 1rem;width:100%;border:1px solid var(--color07);font-size:1.4rem;color:var(--color01);line-height:2rem;box-sizing:border-box;}
.b-input::placeholder{font-size:1.4rem;color:var(--color07);line-height:2rem;}
.b-input.datepicker{padding-left:3.4rem;background:url(/_res/postech-aif/_share/img/board/ico-cal01@2x.png) no-repeat center left 1.3rem/1.4rem 1.6rem;}
.b-textarea{min-height:24rem;}
.b-radio{position:absolute;margin:-1px;padding:0;width:1px;height:1px;border:0;overflow:hidden;clip:rect(0 0 0 0);clip-path:inset(50%);}
.b-radio + label{display:inline-block;position:relative;margin:0;padding:0 0 0 3rem;font-size:1.6rem;font-weight:var(--font-weight-medium);color:var(--color06);line-height:3rem;cursor:pointer;}
.b-radio + label:before{content:"";display:inline-block;position:absolute;top:50%;left:0;width:2rem;height:2rem;border:1px solid var(--color16);border-radius:50%;background-color:var(--white100);box-sizing:border-box;transform:translateY(-50%);}
.b-radio:checked + label:before{border:1px solid var(--color16);border-radius:50%;background-color:var(--white100);}
.b-radio:checked + label:after{content:"";display:block;position:absolute;top:50%;left:5px;width:1rem;height:1rem;border-radius:50%;background-color:var(--black03);transform:translateY(-50%);}
.b-select{padding:4px 3.1rem 4px 1rem;border:1px solid var(--color07);width:100%;background:url(/_res/postech-aif/_share/img/board/ico-select-arrow02@2x.png) no-repeat center right 1.2rem/1.9rem;font-weight:var(--font-weight-medium);font-size:1.4rem;line-height:3rem;color:var(--color06);box-sizing:border-box;}
.b-chk{position:absolute;margin:-1px;padding:0;width:1px;height:1px;border:0;overflow:hidden;clip:rect(0 0 0 0);clip-path:inset(50%);}
.b-chk + label{display:inline-block;position:relative;margin:0;padding:0 0 0 3rem;font-size:1.6rem;font-weight:var(--font-weight-medium);color:var(--color06);line-height:3rem;cursor:pointer;}
.b-chk + label:before{content:"";display:inline-block;position:absolute;top:50%;left:0;width:2rem;height:2rem;border:1px solid var(--color16);background-color:var(--white100);box-sizing:border-box;transform:translateY(-50%);}
.b-chk:checked + label:before{border:1px solid var(--color16);background-color:var(--white100);}
.b-chk:checked + label:after{content:"";display:block;position:absolute;top:50%;left:5px;width:1rem;height:1rem;background-color:var(--black03);transform:translateY(-50%);}

/* 토글버튼  */
.b-toggle-box{display:flex;align-items:center;gap:1.2rem;}
.b-toggle-box p{font-weight:var(--font-weight-semibold);font-size:1.6rem;line-height:3rem;color:var(--black03);letter-spacing:-0.02em;}
.b-toggle{display:inline-flex;align-items:center;}
.b-toggle input{display:block;position:absolute;left:-9999px;width:0;height:0;text-indent:-9999999px;overflow:hidden;}
.b-toggle .slider{display:block;position:relative;margin:0;border-radius:2em;width:6.4rem;height:3rem;background-color:var(--color07);box-sizing:border-box;cursor:pointer;-webkit-transition:.4s;transition:.4s;}
.b-toggle .slider:before{content:'';position:absolute;top:50%;left:5px;border-radius:50%;width:2.4rem;height:2.4rem;background:var(--white100);-webkit-transition:.4s;transition:.4s;-webkit-transform:translate(0, -50%);-ms-transform:translate(0, -50%);transform:translate(0, -50%);}
.b-toggle .slider:after{content:'Off';position:absolute;top:50%;right:0;padding:0 7px;min-width:2.8rem;height:2.4rem;font-weight:var(--font-weight-semibold);font-size:1.4rem;line-height:2.4rem;color:var(--white100);text-align:center;-webkit-transform:translateY(-50%);transform:translateY(-50%);}
.b-toggle input:checked + .slider{background-color:var(--color02);}
.b-toggle input:checked + .slider:before{transform:translate(125%, -50%);}
.b-toggle input:checked + .slider:after{content:'On';right:unset;left:0;}

.b-ul-type-dot li{position:relative;margin:0 0 4px;padding:0 0 0 1rem;font-size:1.6rem;color:var(--color04);line-height:2.4rem;}
.b-ul-type-dot li:last-of-type{margin:0;}
.b-ul-type-dot li::before{content:'';position:absolute;top:0.8rem;left:0;width:4px;height:4px;border-radius:50%;background-color:var(--color17);}

.b-ul-type-dot02 li{position:relative;padding:0 0 0 2.5rem;font-size:1.6rem;line-height:2.8rem;color:var(--color09);}
.b-ul-type-dot02 li:before{content:'';position:absolute;top:1.4rem;left:1rem;border-radius:50%;width:4px;height:4px;background:var(--color09);transform:translateY(-50%);}

.b-mark-p01{position:relative;font-size:1.4rem;line-height:3rem;color:var(--color04);}
.b-mark-p01:before{content:'*';display:inline-flex;margin:0 4px 0 0;}
.b-mark-p02{position:relative;font-size:1.4rem;line-height:3rem;color:var(--color04);}
.b-mark-p02:before{content:'※';display:inline-flex;margin:0 4px 0 0;}
.b-mark-p03{position:relative;font-size:1.3rem;line-height:2rem;color:var(--color04);}
.b-mark-p03:before{content:'*';display:inline-flex;margin:0 4px 0 0;}
.b-mark-p04{position:relative;font-size:1.3rem;line-height:3rem;color:var(--color04);}
.b-mark-p04:before{content:'※';display:inline-flex;margin:0 4px 0 0;}

/* 전체 선택/비선택 체크박스(관리자) */
.article-chk{display:inline-block;position:absolute;top:0;left:0;z-index:5;line-height:1;}
.adm-chk label{font-size:1.6rem;}
.adm-chk{margin:0 0 10px 0;}
.adm-chk input{display:inline-block;margin:0;width:1.7rem;height:1.7rem;border:1px solid var(--border-color01);background:var(--white100);-webkit-appearance:none;-moz-appearance:none;appearance:none;cursor:pointer;}
.adm-chk input:checked{border-color:var(--color02);background:var(--color02) url(/_res/postech-aif/_share/img/board/ico-check01-w.png) no-repeat center center/1.2rem;}
.article-chk input{display:inline-block;margin:4px;width:1.7rem;height:1.7rem;border:1px solid var(--border-color01);background:var(--white100);-webkit-appearance:none;-moz-appearance:none;appearance:none;cursor:pointer;}
.article-chk input:checked{border-color:var(--color02);background:var(--color02) url(/_res/postech-aif/_share/img/board/ico-check01-w.png) no-repeat center center/1.2rem;}

/* list 게시판 - colgroup 너비 지정 클래스 */
.b-col-auto{width:auto;}
.b-col-num{width:10%;}
.b-col6{width:6%;}
.b-col7{width:7%;}
.b-col8{width:8%;}
.b-col9{width:9%;}
.b-col10{width:10%;}
.b-col11{width:11%;}
.b-col12{width:12%;}
.b-col15{width:15%;}
.b-col18{width:18%;}
.b-col19{width:19%;}
.b-col20{width:20%;}
.b-col21{width:21%;}
.b-col22{width:22%;}
.b-col25{width:25%;}
.b-col30{width:30%;}
.b-col32{width:32%;}
.b-col35{width:35%;}
.b-col40{width:40%;}
.b-col42{width:42%;}
.b-col45{width:45%;}
.b-col50{width:50%;}

/* 총 게시글 수 */
.b-total-wrap{padding:0 2rem 0 0;font-size:2rem;line-height:2.8rem;}
.b-total-wrap span{color:var(--color01);}

/* 검색 영역 */
.bn-search{padding:0 0 2.8rem;}
.bn-search form{display:flex;justify-content:space-between;align-items:center;width:100%;}
.bn-search form.right{justify-content:right;}
.bn-search form.center{justify-content:center;}
.bn-search .b-search-wrap{display:flex;flex-wrap:wrap;justify-content:flex-end;align-items:center;flex:1;margin-top:-6rem;padding:0;}
.cms-iframe-manage .bn-search .b-search-wrap{margin-top:0;}
.bn-search .b-sel-box{display:inline-flex;margin:0 1.2rem 0 0;min-width:8rem;}
.bn-search .b-sel-box:last-of-type{margin:0;}
.bn-search .b-select{padding:4px 2.98rem 4px 1.4rem;width:100%;border:none;border:1px solid var(--border-color01);background:url(/_res/postech-aif/_share/img/board/ico-common-select-arrow@2x.png) no-repeat center right 1.5rem/1.1rem 6px;font-size:1.4rem;font-weight:var(--font-weight-regular);color:var(--color06);line-height:3rem;}
.bn-search .b-search-box{display:flex;position:relative;}
.bn-search .b-input{padding:4px 3.6rem 4px 1.2rem;max-width:24rem;border:1px solid var(--border-color01);font-size:1.4rem;font-weight:var(--font-weight-regular);color:var(--black03);line-height:3rem;}
.bn-search .b-input::placeholder{font-size:1.4rem;font-weight:var(--font-weight-regular);color:var(--color07);}
.bn-search .b-sel-btn{position:absolute;top:50%;right:1.2rem;width:2.4rem;height:2.4rem;background:url(/_res/postech-aif/_share/img/board/ico-search@2x.png) no-repeat left center / 100%;cursor:pointer;transform:translateY(-50%);}

/* 페이징 - b-paging */
.b-paging .b-paging-wrap ul{display:flex;flex-wrap:wrap;justify-content:center;align-items:center;padding:4rem 0 0;}
.b-paging .b-paging-wrap ul li.prev + li{margin:0;}
.b-paging .b-paging-wrap ul li a{display:flex;justify-content:center;align-items:center;box-sizing:border-box;}
.b-paging .b-paging-wrap ul li.pager a{display:block;width:3.2rem;height:4.8rem;background-repeat:no-repeat;background-position:center;background-size:100%;}
.b-paging .b-paging-wrap ul li.first a{margin:0 4px 0 0;background-image:url(/_res/postech-aif/_share/img/board/ico-first@2x.png);}
.b-paging .b-paging-wrap ul li.prev a{margin:0 1.6rem 0 0;background-image:url(/_res/postech-aif/_share/img/board/ico-prev@2x.png);}
.b-paging .b-paging-wrap ul li.next a{margin:0 0 0 1.6rem;background-image:url(/_res/postech-aif/_share/img/board/ico-next@2x.png);}
.b-paging .b-paging-wrap ul li.last a{margin:0 0 0 4px;background-image:url(/_res/postech-aif/_share/img/board/ico-last@2x.png);}
.b-paging .b-paging-wrap ul li:not(.pager){margin:0 0 0 4px;}
.b-paging .b-paging-wrap ul li:not(.pager) a{width:4.8rem;height:4.8rem;font-size:1.9rem;line-height:2.5rem;font-weight:var(--font-weight-medium);color:var(--color05);transition:color 0.7s;}
.b-paging .b-paging-wrap ul li a:hover,
.b-paging .b-paging-wrap ul li a.active{color:var(--color02);}

/* 버튼 */
.b-btn-wrap{display:flex;flex-wrap:wrap;gap:1.2rem;padding:4rem 0 0;box-sizing:border-box;}
.b-btn-wrap.right{justify-content:flex-end;}
.b-btn-wrap.center{justify-content:center;}
.b-btn-wrap .b-btn{flex:1;display:block;padding:8px 1rem;border:2px solid var(--color02);background-color:var(--white100);width:100%;max-width:12rem;font-size:1.8rem;line-height:3rem;color:var(--color02);font-weight:var(--font-weight-semibold);text-align:center;transition:0.25s ease;-webkit-appearance:none;-moz-appearance:none;appearance:none;box-sizing:border-box;}
.b-btn-wrap .b-btn.submit{background-color:var(--color02);color:var(--white100);}
.b-btn-wrap .b-btn.delete{background-color:var(--color02);color:var(--white100);}
/* .b-btn-wrap .b-btn.cancel{background-color:var(--color02);color:var(--white100);} */
.b-btn-wrap .b-btn:hover{text-decoration:underline;text-underline-offset:2px;text-decoration-thickness:2px;}

.b-btn-box{display:flex;flex-wrap:wrap;gap:1.2rem;box-sizing:border-box;}
.b-btn-box.right{justify-content:flex-end;}
.b-btn-box.center{justify-content:center;}
.b-btn-common{display:flex;align-items:center;justify-content:center;padding:8px 2rem;border:2px solid var(--color02);background-color:var(--white100);width:100%;min-height:5rem;font-size:1.8rem;line-height:3rem;color:var(--color02);font-weight:var(--font-weight-semibold);text-align:center;transition:0.25s ease;-webkit-appearance:none;-moz-appearance:none;appearance:none;box-sizing:border-box;}
.b-btn-common.pink{background-color:var(--color02);color:var(--white100);}
.b-btn-common:hover{text-decoration:underline;text-underline-offset:2px;text-decoration-thickness:2px;}
.b-btn-common.no-active{border-color:var(--color25);background:var(--color25);color:var(--white100);pointer-events:none;}

.b-btn-line{display:inline-flex;align-items:center;gap:6px;border-bottom:2px solid var(--color01);font-size:2rem;line-height:3rem;font-weight:var(--font-weight-semibold);color:var(--color01);}
.b-btn-line.arr:after{content:'';width:1.1rem;height:1.6rem;background:url(../img/board/ico-btn-line@2x.png) no-repeat center center / 100%;}

/* 공유하기 */
.b-share-box{display:flex;align-items:center;gap:2rem;}
.b-share-box > li{position:relative;}
.b-share-box > li > a{display:block;width:3rem;height:3rem;}
.b-share-box > li > a.calendar{background:url(/_res/postech-aif/_share/img/board/ico-calendar01@2x.png) no-repeat center center/100%;}
.b-share-box > li > a.share{background:url(/_res/postech-aif/_share/img/board/ico-share01@2x.png) no-repeat center center/100%;}

/* 게시판용 테이블 */
.b-table-wrap .b-pco-table{width:100%;border-top:3px solid var(--black03);border-spacing:0;border-collapse:separate;text-align:center;table-layout:fixed;}
.b-table-wrap .b-pco-table th{padding:0.8rem 4px;border-bottom:1px solid var(--black09);font-size:1.3rem;font-weight:var(--font-weight-semibold);color:var(--black03);line-height:1.7rem;word-break:break-all;}
.b-table-wrap .b-pco-table td{padding:2.15rem 4px;border-bottom:1px solid var(--black09);font-size:1.3rem;color:var(--black03);line-height:1.6rem;word-break:break-all;}
.b-table-wrap .b-pco-table td .submit{display:inline-block;;font-size:1.4rem;font-weight:var(--font-weight-bold);color:var(--color02);line-height:1.6rem;text-decoration:underline;text-underline-offset:2px;}
.b-table-wrap .b-pco-table td .submit.not{color:var(--color07);text-decoration:none;}
.b-table-wrap .b-pco-table td .b-title{display:-webkit-box;font-weight:var(--font-weight-bold);-webkit-line-clamp:1;-webkit-box-orient:vertical;text-overflow:ellipsis;white-space:normal;overflow:hidden;word-wrap:break-word;text-align:left;}
.b-table-wrap .b-pco-table td .b-title:hover{text-decoration:underline;text-underline-offset:2px;}
.b-table-wrap .b-pco-table td .b-detail-link{text-decoration:underline;text-underline-offset:3px;}

@media screen and (min-width:769px) {
	/* 페이징 - b-paging */
	.bn-event-list + .b-paging .b-paging-wrap ul{padding:6rem 0 0;}
}
@media screen and (max-width:768px){
	/* common */
	.b-h4-tit01{font-size:2.6rem;line-height:3.2rem;}
	.b-h4-tit03{font-size:4rem;line-height:4.4rem;}
	.b-c-red{font-size:1.3rem;line-height:2rem;}

	/* 토글버튼  */
	.b-toggle-box{justify-content:flex-end;}

	.b-ul-type-dot02 li{padding:0 0 0 2rem;font-size:1.4rem;line-height:2rem;}
	.b-ul-type-dot02 li:before{top:1rem;left:7px;}

	.b-mark-p01{line-height:1.8rem;}
	.b-mark-p02{line-height:1.8rem;}
	.b-mark-p03{line-height:1.8rem;}
	.b-mark-p04{line-height:1.8rem;}


	/* 전체 선택/비선택 체크박스(관리자) */
	.article-chk{position:absolute;top:0;left:0;z-index:5;}
	.article-chk input{margin:0;width:14px;height:14px;}

	/* colgroup 너비 지정 클래스 */
	.b-col-auto{width:85%;}
	.co-board table colgroup > [class*='b-col']{display:none;width:0;}

	/* 검색 영역 */
	.bn-search{padding:0 0 4rem}
	.bn-search .b-search-wrap{flex:1 1 auto;flex-wrap:nowrap;margin-top:auto;}
	.bn-search .b-sel-box{margin:0 8px 0 0;}
	.bn-search .b-input{max-width:20.5rem;}

	/* 페이징 - .b-paging */
	.b-paging .b-paging-wrap ul{padding:2.3rem 0 0;}
	.b-paging .b-paging-wrap ul li.pager a{width:2.8rem;}
	.b-paging .b-paging-wrap ul li.first a{margin:0 4px 0 0;}
	.b-paging .b-paging-wrap ul li.prev a{margin:0 4px 0 0;}
	.b-paging .b-paging-wrap ul li.next a{margin:0 0 0 4px;}
	.b-paging .b-paging-wrap ul li.last a{margin:0 0 0 4px;}
	.b-paging .b-paging-wrap ul li:not(.pager) a{width:4.4rem;font-size:1.6rem;line-height:2rem;}

	/* 버튼 */
	.b-btn-wrap{padding:3rem 0 0;}
	.b-btn-wrap.m-reverse{flex-direction:column-reverse;}
	.b-btn-wrap .b-btn{flex:auto;padding:1rem;max-width:unset;width:100%;font-size:1.6rem;line-height:2rem;}
	.b-btn-common{flex:auto;padding:8px;font-size:1.6rem;line-height:2rem;}

	/* 게시판용 테이블 */
	.b-table-wrap.scrollbox{position:relative;width:100%;overflow-x:auto;overflow-y:hidden;}
	.b-table-wrap.scrollbox .b-pco-table{width:100rem;}
	.b-table-wrap .msg-touch-help{display:block;}
	.b-table-wrap .b-pco-table th{padding:8px 4px;font-size:1.3rem;}
	.b-table-wrap .b-pco-table td{padding:4px;font-size:1.2rem;}
	.b-table-wrap .b-pco-table td .submit{font-size:1.2rem;}
}